org.apache.poi.hmef.attribute

## Class TNEFAttribute

- java.lang.Object
- - org.apache.poi.hmef.attribute.TNEFAttribute

- Direct Known Subclasses:
    TNEFDateAttribute, TNEFMAPIAttribute, TNEFStringAttribute

      public class TNEFAttribute
      extends java.lang.Object

  An attribute which applies to a `HMEFMessage` or one of its `Attachment`s. Note - the types and IDs differ from standard Outlook/MAPI ones, so we can't just re-use the HSMF ones.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TNEFAttribute(int id, int type, java.io.InputStream inp)` Constructs a single new attribute from the id, type, and the contents of the stream

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TNEFAttribute` | `create(java.io.InputStream inp)` Creates a new TNEF Attribute by reading data from the stream within a `HMEFMessage`
    `byte[]` | `getData()`
    `TNEFProperty` | `getProperty()`
    `int` | `getType()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TNEFAttribute

          protected TNEFAttribute(int id,
                                  int type,
                                  java.io.InputStream inp)
                           throws java.io.IOException

      Constructs a single new attribute from the id, type, and the contents of the stream
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### create

          public static TNEFAttribute create(java.io.InputStream inp)
                                      throws java.io.IOException

      Creates a new TNEF Attribute by reading data from the stream within a `HMEFMessage`
      Throws:
        `java.io.IOException`

    - #### getProperty

          public TNEFProperty getProperty()

    - #### getType

          public int getType()

    - #### getData

          public byte[] getData()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.